﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.WpfDesktopEdition;
using ThinkGeo.MapSuite.Core;

namespace post7923
{
    /// <summary>
    /// Interaction logic for FlashableMarker.xaml
    /// </summary>
    public partial class FlashableMarker : Marker
    {
        public static DependencyProperty IsFlashableProperty = DependencyProperty.Register("IsFlashable", typeof(bool), typeof(FlashableMarker));

        public FlashableMarker() : this(0, 0) { }
        public FlashableMarker(PointShape position) : this(position.X, position.Y) { }
        public FlashableMarker(double worldX, double worldY)
            : base(worldX, worldY)
        {
            //Style = (System.Windows.Style)this.FindResource("markerStyle");
        }

        public bool IsFlashable { get; set; }
    }
}
